rte_pmd_i40e_pkt_template_action(3)

NAME
rte_pmd_i40e_pkt_template_action

SYNOPSIS

#include <rte_pmd_i40e.h>

  Data Fields

uint16_t rx_queue
enum rte_pmd_i40e_pkt_template_behavior behavior
enum rte_pmd_i40e_pkt_template_status report_status
uint8_t flex_off

Detailed Description

A structure used to define an action when raw packet template is matched.

Definition at line 258 of file rte_pmd_i40e.h.

Field Documentation

  uint16_t rx_queue
queue assigned to if raw packet template match

Definition at line 260 of file rte_pmd_i40e.h.

  enum rte_pmd_i40e_pkt_template_behavior behavior
behavior will be taken

Definition at line 262 of file rte_pmd_i40e.h.

  enum rte_pmd_i40e_pkt_template_status report_status
status report option

Definition at line 264 of file rte_pmd_i40e.h.

  uint8_t flex_off
If report_status is RTE_PMD_I40E_PKT_TEMPLATE_REPORT_ID_FLEX_4 or RTE_PMD_I40E_PKT_TEMPLATE_REPORT_FLEX_8, flex_off specifies where the reported flex bytes start from in flexible payload.

Definition at line 270 of file rte_pmd_i40e.h.

Author

Generated automatically by Doxygen for DPDK from the source code.